Suhosin Extension Transparent Cookie Encryption Stack Buffer Overflow Vulnerability

Suhosin Extension is prone to a stack-based buffer-overflow vulnerability due to a failure to properly bounds-check user-supplied data.

Attackers can exploit this issue to execute arbitrary code with the privileges of the user running the affected application. Failed exploit attempts may result in a denial-of-service condition.

Suhosin Extension 0.9.32.1 and prior versions are vulnerable.


 

Privacy Statement
Copyright 2010, SecurityFocus